org.eclipse.wst.jsdt.core

## Interface IBufferChangedListener

    public interface IBufferChangedListener

A listener, which gets notified when the contents of a specific buffer have changed, or when the buffer is closed. When a buffer is closed, the listener is notified after the buffer has been closed. A listener is not notified when a buffer is saved.

This interface may be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bufferChanged(BufferChangedEvent event)` Notifies that the given event has occurred.

### Method Detail

#### bufferChanged

    void bufferChanged(BufferChangedEvent event)

Notifies that the given event has occurred.

Parameters:
  `event` - the change event